﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.MaEnquiry
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using System.Web.UI.WebControls
@section scripts{


    <script src="~/Scripts/jquery.validate.min.js"></script>
    <style>
        .error { color: red; }
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; -moz-appearance: none; appearance: none; margin: 0; }
    </style>

    @Content.Script("ChildAddEdit.js", Url)

    <script>
        $("#EnqHandledBy").attr("required", true);
        $("#CityId").attr("required", true);
        $("#AreaId").attr("required", true);
        $("#EnqAbt").attr("required", true);
        $("#EnqType").attr("required", true);
        $("#EnqTimeSlot").attr("required", true);

        $("#EnqAbt").change(function () {
            var enqabt1 = $("#EnqAbt").val();

            $.getJSON("/MaEnquiry/GetVisaType", { enqabt: enqabt1 },
                function (modelData) {
                    var select = $("#VisaType");
                    select.empty();
                    select.append($('<option/>', {
                        value: "",
                        text: "Select"
                    }));
                    $.each(modelData, function (index, itemData) {
                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,

                        }));
                    });
                });
        });

    </script>

    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>

    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                , function () {
                    $(this).find(".overlay").fadeOut();
                }
            );
        });


    </script>
    <script type="text/javascript">
        if ($('#EnquirySpkEng').is(':checked')) {
            //if Spoken english checkbox  is checked then button will be shown by default else it will be hidden
        }
        else {
            $("#btngoadm").hide();
        }
        $("#IELTSExmLearn").css('width', '90px');
        $("#IELTSExmRead").css('width', '90px');
        $("#IELTSExmWrit").css('width', '90px');
        $("#IELTSExmSpkn").css('width', '90px');

        $(document).ready(function () {

            $("#Fdate").datepicker();
            $("#Tdate").datepicker();
            $("#WalkInDate").datepicker();
            $("#Month").datepicker();
            $("#DateOfExam").datepicker();
            $("#DemoFeeDate").datepicker();
            $("#ClassDate").datepicker();
            $("#EnqAbt").attr('required', 'true');

            if ($('#EnquirySpkEng').is(':checked')) {
                //EnquirySpkEng is checked on edit.
                $("#divexam").hide();
                $("#EnquiryIELAC").attr('checked', false);
            } else {
                $("#divexam").show();
            }

            $(".btnCancel").click(function () {
                window.location.href = "/MaEnquiry/Index";
            });
        });

        deleterecord("MaEnquiry");
        $("#EnquirySpkEng").change(function () {
            if ($('#EnquirySpkEng').is(':checked')) {
                $("#divexam").hide();
                $("#EnquiryIELAC").attr('checked', false);
                $("#btngoadm").show();
            } else {
                $("#divexam").show();
                $("#btngoadm").hide();
            }

        });
    </script>

  

    <script type="text/javascript">
        window.history.forward();
        function noBack() { window.history.forward(); }
        //saves value and moves to index page
        $("#btnsubmit").click(function () {
            var v3 = $("#CityId").val();
            var v2 = $("#AreaId").val();
            var v1 = $("#EnqAbt").val();
            var e1 = $("#EnqType").val();
            var t1 = $("#EnqTimeSlot").val();
            var sr = $("#Source").val();
            var v4 = $("#FirstName").val();
            var v5 = $("#LastName").val();
            var v6 = $("#Mobile").val();
            var v7 = $("#EnqHandledBy").val();
            var v8 = $("#VisaType").val();

          

            if (v1 == "VISA" || v1 == "VISITOR VISA") {
                
                if (v8 == "") {
                    alert("Visa Type must be selected");
                    return;
                }
               
            }

            if (v1 == "" || v2 == "" || v7=="" || v3 == "" || v4 == "" || v5 == "" || v6 == "" || sr == "" || t1 == "" || e1 == "") {
                alert("Some required fields are blank. please check and fill required fiields");
            }
            else {

                $("#enqform").submit();
            }

            //$("#enqform").validate({
            //    submitHandler: function (form) {
            //        // disable your button here
            //        var fewSeconds = 10;
            //        $("#btnsubmit").attr("disabled", "disabled");
            //        setTimeout(function () {
            //            $("#btnsubmit").removeAttr('disabled');
            //        }, fewSeconds * 1000);
            //        form.submit();

            //    },
            //    invalidHandler: function () {
            //        // re-enable the button here as validation has failed
            //    }
            //});

        });




        //saves values and moves to admission page is user is willing for admission

        $("#btngoadm").click(function () {
            $("#GoToAdm").val(true);
            var stype = $("#Source").val();
            if (stype == "Any Other") {
                if ($("#Other").val() == "") {
                    alert("Plz Fill Value For Other Source");
                }
                else {
                    $("#enqform").submit();
                }
            }
            else {
                $("#enqform").submit();
            }
        });




        /*-------------- band calculations-----------------*/

        $("#IELTSExmRead").blur(function () {
            calbands();

        });

        $("#IELTSExmLearn").blur(function () {
            calbands();
        });

        $("#IELTSExmWrit").blur(function () {
            calbands();
        });

        $("#IELTSExmSpkn").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#IELTSExmLearn").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#IELTSExmWrit").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#IELTSExmSpkn").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#IELTSExmRead").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);

            $("#IELTSExmOverall").val(ovr);
        }

        /*-------------- band calculations ends-----------------*/

    </script>
    <script type="text/javascript">

        function Submit() {

            var Qualification = $("#Qualification").val();
            var YearOfPassing = $("#YearOfPassing").val();
            var CGPA = $("#CGPA").val();
            var Board = $("#Board").val();
            var Status = $("#chk_new").val();
            var id = $("#admid").val();
            $.post("/MaEnquiry/_HighestQualiEdit", { Qualification: Qualification, YearOfPassing: YearOfPassing, CGPA: CGPA, Board: Board, Status: Status, enqid: id });
            // $("#emphist").submit();
            location.reload();
        }
    </script>
    <script type="text/javascript">
        deleterecord("MaEnquiry");

        function SubmitForm() {
            var PositionHeld = $("#PositionHeld").val();
            var fdate = $("#Fdate").val();
            var tdate = $("#Tdate").val();
            var Company = $("#Company").val();
            var JobResponsibility = $("#JobResponsibility").val();
            var Status = $("#Status").val();


            var id = $("#admidold").val();


            $.post("/MaEnquiry/_EmplHistEdit", { PositionHeld: PositionHeld, Fdate: fdate, Tdate: tdate, Company: Company, JobResponsibility: JobResponsibility, Status: Status, Id: id });
            // $("#emphist").submit();
            location.reload();
        }



    </script>
    <script type="text/javascript">
        $(document).ready(function () {

            var idCourse = $("#GroupChoice").val();
            gettimecode(idCourse);
        });
        // this script is used for to get list of group time by group choice

        $("#GroupChoice").change(function () {
            var idCourse = $(this).val();
            gettimecode(idCourse);

        });

        function gettimecode(idCourse) {

            $.getJSON("/MaEnquiry/Loadgrouptme", { id: idCourse },
                function (modelData) {

                    var select = $("#Grouptime");
                    select.empty();
                    select.append($('<option/>', {
                        value: 0,
                        text: "Select Time"
                    }));
                    $.each(modelData, function (index, itemData) {


                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,

                        }));
                        $("#Grouptime").val($("#timeidhidden").val());
                    });
                });
        }

    </script>
    <script>
        function GetAreaList() {
            var city = $("#CityId").val();
            $.getJSON("/MaEnquiry/GetAreaList", { city: city },
      function (modelData) {
          var select = $("#AreaId");
          select.empty();
          select.append('<option value="0">Select</option>');
          $.each(modelData, function (index, itemData) {
              select.append($('<option/>', {
                  value: itemData.Value,
                  text: itemData.Text,
              }));
          });
      });
        }
    </script>

}

<!-- Highest qualification Edit -->
<!--Employ HistEdit --->


@using (Html.BeginForm("Edit", "MaEnquiry", FormMethod.Post, new { @id = "enqform", @enctype = "multipart/form-data", onload = "noBack();", onpageshow = "if (event.persisted) noBack();" }))
{
    @Html.ValidationSummary(true)

    @Html.HiddenFor(model => model.GoToAdm)
    @Html.HiddenFor(model => model.BranchId)
    @Html.HiddenFor(model => model.Cdate)
    @Html.HiddenFor(model => model.IsMoveToVisa)
    @Html.HiddenFor(model => model.IELTSTestId)
    @Html.HiddenFor(model => model.AdmDate)
    @*@Html.HiddenFor(model => model.EnqHandledBy)*@
    @Html.HiddenFor(model => model.FEnqstatus)
    @Html.HiddenFor(model => model.FCDate)
    @Html.HiddenFor(model => model.FRemarks)
    @Html.HiddenFor(model => model.FNextDate)
    @Html.HiddenFor(model => model.FEnqFollowBy)
    @Html.HiddenFor(model => model.UFile)
    @Html.HiddenFor(model => model.CopyFrom)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Enquiry
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Save" class="btn btn-primary" id="btnsubmit" />
                @{if (Model.IsAdmission == false)
                {
                        <input type="button" value="Save & Go To Admission" class="btn btn-primary" id="btngoadm" />
                    }

                }
                <input type="button" value="Cancel" class="btn btn-primary btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <table style="width: 100%" align="center">
                <tr>
                    <td align="center">
                        All (<span class="color_style">*</span>) marked fields are compulsory
                    </td>
                </tr>
            </table>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <div class="container">
                            <ul class="tabs">
                                <li class="active"><a href="#tab1">Enquiry Detail<span id="spPending"></span></a></li>
                                <li><a href="#tab3">Highest Qualification<span id="spOnhighest"></span> </a></li>
                                <li><a href="#tab2">Employment History<span id="spOnTIME"></span> </a></li>
                                <li><a href="#tab4">Demo History<span id="spOnTIME"></span> </a></li>
                            </ul>
                            <div class="tab_container">
                                <div style="display: block;" id="tab1" class="tab_content">
                                    <form id="tab">
                                        <table style="width: 800px" align="center">
                                            <tr>
                                                <td>

                                                    <table align="center">

                                                        <tr>
                                                            <td align="center">
                                                                <h4>
                                                                    Enquiry No: @Html.DisplayFor(model => model.Id)
                                                                    @Html.ImageActionLink("../../Content/themes/base/images/history.png", "Demo History", "_Index1", "MaEnquiry", new { id = Model.Id }, new { @class = "editAcBtn" }, null)
                                                                </h4>

                                                            </td>

                                                        </tr>
                                                    </table>
                                                    <fieldset>
                                                        <legend>General Detail</legend>
                                                        <table style="width: 100%">
                                                            <tr>
                                                                <td style="text-align: left">
                                                                    <table style="text-align: left">
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.FirstName)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td style="text-align: left">
                                                                    @Html.TextBoxFor(model => model.FirstName, new { @required = true })
                                                                    @Html.ValidationMessageFor(model => model.FirstName)
                                                                </td>
                                                                <td style="text-align: left">
                                                                    <table style="text-align: left">
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.LastName)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td style="text-align: left">
                                                                    @Html.TextBoxFor(model => model.LastName, new { @required = true })
                                                                    @Html.ValidationMessageFor(model => model.LastName)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td style="text-align: left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Gender)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    <div>
                                                                        @Html.RadioButtonFor(model => model.Gender, "Male") Male
                                                                        @Html.RadioButtonFor(model => model.Gender, "Female") Female
                                                                        @Html.ValidationMessageFor(model => model.Gender)
                                                                    </div>
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Mobile)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @{
                                                                        int roleid = StaticLogic.RoleId();
                                                                    }
                                                                    @if (Permission.CheckPermission(roleid, CommonUtil.MobileEdit, UserAction.Edit) == false)
                                                                    {
                                                                        @Html.TextBoxFor(model => model.Mobile, new { MaxLength = "10", @readonly = true })
                                                                    }
                                                                    else
                                                                    {
                                                                        @Html.TextBoxFor(model => model.Mobile, new { MaxLength = "10", @required = true })
                                                                    }

                                                                    @Html.ValidationMessageFor(model => model.Mobile)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td valign="top" align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.FatherName)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.FatherName, new { @maxlength = 50, @required = true })
                                                                    @Html.ValidationMessageFor(model => model.FatherName)
                                                                </td>

                                                                <td align="left">
                                                                    @Html.LabelFor(model => model.AlternateNo)
                                                                </td>
                                                                <td align="left">
                                                                    @if (Permission.CheckPermission(roleid, CommonUtil.MobileEdit, UserAction.Edit) == false)
                                                                    {
                                                                        @Html.TextBoxFor(model => model.AlternateNo, new { MaxLength = "20", @readonly = true })
                                                                    }
                                                                    else
                                                                    {
                                                                        @Html.TextBoxFor(model => model.AlternateNo, new { MaxLength = "20" })
                                                                    }

                                                                    @Html.ValidationMessageFor(model => model.AlternateNo)
                                                                </td>
                                                            </tr>
                                                            <tr>

                                                                <td valign="top" align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Address)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.Address, new { @required = true })
                                                                    @Html.ValidationMessageFor(model => model.Address)
                                                                </td>


                                                                <td align="left">
                                                                    @Html.LabelFor(model => model.EmailId)
                                                                </td>
                                                                <td align="left">
                                                                    @Html.EditorFor(model => model.EmailId)
                                                                    @Html.ValidationMessageFor(model => model.EmailId)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td valign="top" align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.PinCode)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.PinCode, new { @required = true })
                                                                    @Html.ValidationMessageFor(model => model.PinCode)
                                                                </td>
                                                                <td align="left">
                                                                    @Html.LabelFor(model => model.FacebookId)
                                                                </td>
                                                                <td align="left">
                                                                    @Html.EditorFor(model => model.FacebookId)
                                                                    @Html.ValidationMessageFor(model => model.FacebookId)
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <br />
                                                </td>
                                            </tr>
                                        </table>
                                        <div id="enquiry">
                                            <table style="width: 700px" align="center">
                                                <tr>
                                                    <td>
                                                        <fieldset>
                                                            <legend>Enquiry About</legend>
                                                            <table style="width: 100%">
                                                                <tr>
                                                                    <td>
                                                                        <label> Enquiry About <span class="color_style">*</span></label>
                                                                    </td>
                                                                    <td>
                                                                        @Html.DropDownList("EnqAbt", "Select Enq About")
                                                                        @Html.ValidationMessageFor(model => model.EnqAbt)
                                                                    </td>
                                                                    <td>
                                                                        <label> Upload Walkin Form</label>
                                                                    </td>
                                                                    <td>
                                                                        <input type="file" class="form-control" id="File" name="File" />

                                                                    </td>


                                                                </tr>
                                                                <tr>
                                                                    <td>Visa Type</td>
                                                                    <td>

                                                                        @Html.DropDownList("VisaType", "Select")

                                                                    </td>

                                                                    <td>Enquiry Type <span class="color_style">*</span></td>
                                                                    <td>
                                                                        @Html.DropDownList("EnqType", "Select Enq Type")
                                                                        @Html.ValidationMessageFor(model => model.EnqType)
                                                                    </td>

                                                                </tr>
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>
                                                                        @{
                                                                            if (Model.UFile != null && Model.UFile != "NoImage.jpg")
                                                                            {
                                                                                <a href="~/Uploads/Enquiry/@Model.UFile" download="UFile" title="Download Walkin Form"><img src="~/Uploads/Enquiry/@Model.UFile" alt="Alternate Text" width="100" height="170" /></a>
                                                                            }
                                                                        }

                                                                    </td>
                                                                </tr>
                                                            </table>

                                                        </fieldset>
                                                        <br />
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                        <table style="width: 700px" align="center">
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend>Other Detail</legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td></td>
                                                                <td></td>
                                                                <td>City *</td>
                                                                <td>@Html.DropDownList("CityId", (SelectList)ViewBag.val, "Select", new { @required = "true", @onchange = "GetAreaList()" })</td>
                                                            </tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                Time Slot
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @{
                                                                        var liTimeSlot = new List<ListItem>();
                                                                        liTimeSlot.Add(new ListItem { Text = "", Value = "" });
                                                                        liTimeSlot.Add(new ListItem { Text = "8-10", Value = "8-10" });
                                                                        liTimeSlot.Add(new ListItem { Text = "10-12", Value = "10-12" });
                                                                        liTimeSlot.Add(new ListItem { Text = "12-3", Value = "12-3" });
                                                                        liTimeSlot.Add(new ListItem { Text = "3-7", Value = "3-7" });



                                                                    }
                                                                    @Html.DropDownListFor(model => model.EnqTimeSlot, new SelectList(liTimeSlot))
                                                                    @Html.ValidationMessageFor(model => model.EnqTimeSlot)
                                                                </td>

                                                                <td align="left">
                                                                    <table>

                                                                        <tr>
                                                                            <td>
                                                                                Area
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td>
                                                                    @Html.DropDownList("AreaId", (SelectList)ViewBag.val, "Select", new { @required = "true" })
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.WalkInType)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @{
                                                                        var listItems = new List<ListItem>();
                                                                        listItems.Add(new ListItem { Text = "Direct", Value = "Direct" });
                                                                        listItems.Add(new ListItem { Text = "Telephonic", Value = "Telephonic" });



                                                                    }
                                                                    @Html.DropDownListFor(model => model.WalkInType, new SelectList(listItems))
                                                                    @Html.ValidationMessageFor(model => model.WalkInType)
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.WalkInDate)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.WalkInDate, "{0: MM/dd/yyyy}", new { autocomplete = "off" })
                                                                    @Html.ValidationMessageFor(model => model.WalkInDate)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Source)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @{
                                                                        var listIt = new List<ListItem>();
                                                                        listIt.Add(new ListItem { Text = "", Value = "" });
                                                                        listIt.Add(new ListItem { Text = "Newspaper", Value = "Newspaper" });
                                                                        listIt.Add(new ListItem { Text = "Friends/Family", Value = "Friends" });
                                                                        listIt.Add(new ListItem { Text = "Justdial", Value = "Justdial" });
                                                                        listIt.Add(new ListItem { Text = "Facebook", Value = "Facebook" });
                                                                        listIt.Add(new ListItem { Text = "Old Student", Value = "Old Student" });
                                                                        listIt.Add(new ListItem { Text = "Seminar", Value = "Seminar" });
                                                                        listIt.Add(new ListItem { Text = "Hoardings/Boards", Value = "Hoardings/Boards" });
                                                                        listIt.Add(new ListItem { Text = "Campus-2 Board", Value = "Campus-2 Board" });
                                                                        listIt.Add(new ListItem { Text = "Website", Value = "Website" });
                                                                        listIt.Add(new ListItem { Text = "Telephonic", Value = "Telephonic" });
                                                                        listIt.Add(new ListItem { Text = "Any Other", Value = "Any Other" });


                                                                    }
                                                                    @Html.DropDownListFor(model => model.Source, new SelectList(listIt))
                                                                    @Html.ValidationMessageFor(model => model.Source)
                                                                </td>
                                                                <td>
                                                                    Other Source
                                                                </td>
                                                                <td>
                                                                    @Html.EditorFor(model => model.Other)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.CounselorName, "User")
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @ViewBag.CounselorName
                                                                    @Html.HiddenFor(model => model.CounselorName)
                                                                    @Html.ValidationMessageFor(model => model.CounselorName)
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.EnqHandledBy)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">


                                                                    @if (ViewBag.Iscopy == "Y" || Model.EnqHandledBy == null)
                                                                    {
                                                                        @Html.DropDownList("EnqHandledBy", "Select")
                                                                        @Html.ValidationMessageFor(model => model.EnqHandledBy)
                                                                    }
                                                                    else
                                                                    {

                                                                        @Html.DropDownList("EnqHandledBy", (SelectList)ViewBag.val, "Select", new { @required = "true", @disabled = "true" })
                                                                        @Html.HiddenFor(model => model.EnqHandledBy)

                                                                    }

                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                @*<td>
                                                                        @Html.LabelFor(model => model.ReferenceId, "Contact Reference")
                                                                    </td>
                                                                    <td>
                                                                        @Html.DropDownList("ReferenceId", "Select")
                                                                        @Html.ValidationMessageFor(model => model.ReferenceId)
                                                                    </td>*@
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td valign="top">
                                                                                @Html.LabelFor(model => model.Remarks)
                                                                            </td>
                                                                            <td></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.EditorFor(model => model.Remarks)
                                                                    @Html.ValidationMessageFor(model => model.Remarks)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    Visa Prospective
                                                                </td>
                                                                <td>
                                                                    @Html.CheckBoxFor(z => z.IsVisaProspect)
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <br />
                                                </td>
                                            </tr>
                                        </table>
                                        <div id="divexam1">
                                            <table style="width: 700px" align="center">
                                                <tr>
                                                    <td>
                                                        <fieldset>
                                                            <legend>IELTS Detail </legend>
                                                            <table style="width: 100%">
                                                                <tr>
                                                                    <td align="left">
                                                                        @{
                                                                            var listItcountint = new List<ListItem>();
                                                                            listItcountint.Add(new ListItem { Text = "Select", Value = "Select" });
                                                                            listItcountint.Add(new ListItem { Text = "Australia", Value = "Australia" });
                                                                            listItcountint.Add(new ListItem { Text = "Canada", Value = "Canada" });
                                                                            listItcountint.Add(new ListItem { Text = "New Zealand", Value = "NewZealand" });
                                                                            listItcountint.Add(new ListItem { Text = "UK", Value = "UK" });
                                                                            listItcountint.Add(new ListItem { Text = "USA", Value = "USA" });
                                                                            listItcountint.Add(new ListItem { Text = "Singapore", Value = "Singapore" });


                                                                        }
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.CountryInterested)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.DropDownListFor(model => model.CountryInterested, new SelectList(listItcountint))
                                                                        @Html.ValidationMessageFor(model => model.CountryInterested)
                                                                    </td>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.CityPreference)
                                                                    </td>
                                                                    <td>
                                                                        @Html.EditorFor(model => model.CityPreference)
                                                                        @Html.ValidationMessageFor(model => model.CityPreference)
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.DateOfExam)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.TextBoxFor(model => model.DateOfExam, "{0: MM/dd/yyyy}", new { autocomplete = "off" })
                                                                        @Html.ValidationMessageFor(model => model.DateOfExam)
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="4">
                                                                        <hr />
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="4">
                                                                        <table>
                                                                            <tr>
                                                                                <td align="left">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                @Html.LabelFor(model => model.IELTSExmLearn)
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </td>
                                                                                <td align="left">
                                                                                    @Html.EditorFor(model => model.IELTSExmLearn)
                                                                                    @Html.ValidationMessageFor(model => model.IELTSExmLearn)
                                                                                </td>
                                                                                <td align="left">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td width="60px" align="right">
                                                                                                @Html.LabelFor(model => model.IELTSExmWrit)
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </td>
                                                                                <td align="left">
                                                                                    @Html.EditorFor(model => model.IELTSExmWrit)
                                                                                    @Html.ValidationMessageFor(model => model.IELTSExmWrit)
                                                                                </td>
                                                                                <td align="left">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td width="60px" align="right">
                                                                                                @Html.LabelFor(model => model.IELTSExmSpkn)
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </td>
                                                                                <td align="left">
                                                                                    @Html.EditorFor(model => model.IELTSExmSpkn)
                                                                                    @Html.ValidationMessageFor(model => model.IELTSExmSpkn)
                                                                                </td>
                                                                                <td align="left">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td width="60px" align="right">
                                                                                                @Html.LabelFor(model => model.IELTSExmRead)
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </td>
                                                                                <td align="left">
                                                                                    @Html.EditorFor(model => model.IELTSExmRead)
                                                                                    @Html.ValidationMessageFor(model => model.IELTSExmRead)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmOverall)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmOverall)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmOverall)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </fieldset>
                                                        <br />
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                        <table style="width: 700px" align="center">
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend>Demo Detail</legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.DemoFeeAmt)
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td>
                                                                    @Html.EditorFor(model => model.DemoFeeAmt)
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.ClassDate)
                                                                            </td>
                                                                            <td></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.ClassDate, "{0: MM/dd/yyyy}", new { autocomplete = "off" })
                                                                </td>
                                                            </tr>
                                                            <tr></tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.DemoFeeDate)
                                                                            </td>
                                                                            <td></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.TextBoxFor(model => model.DemoFeeDate, "{0: MM/dd/yyyy}", new { autocomplete = "off" })
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.GroupChoice)
                                                                            </td>
                                                                            <td></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">

                                                                    @Html.DropDownList("GroupChoice", "Select Group Choice")
                                                                    @Html.ValidationMessageFor(model => model.GroupChoice)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Grouptime)
                                                                            </td>
                                                                            <td></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.DropDownList("Grouptime", "Select")
                                                                    @Html.ValidationMessageFor(model => model.Grouptime)
                                                                    <input type="hidden" id="timeidhidden" value="@Model.Grouptime" />
                                                                </td>
                                                                <td align="left">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                @Html.LabelFor(model => model.Demobranchid)
                                                                            </td>
                                                                            <td>
                                                                                <span class="color_style">*</span>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td align="left">
                                                                    @Html.DropDownList("Demobranchid", "Select")
                                                                    @Html.ValidationMessageFor(model => model.Demobranchid)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <br />
                                                </td>
                                            </tr>
                                        </table>
                                    </form>
                                </div>
                                <div style="display: block;" id="tab3" class="tab_content">
                                    <form id="tab3">
                                        @Html.Action("_HighestQualiEdit")
                                    </form>
                                </div>
                                <div style="display: block;" id="tab2" class="tab_content">
                                    <form id="tab2">
                                        @Html.Action("_EmplHistEdit")
                                    </form>
                                </div>

                                <div style="display: block;" id="tab4" class="tab_content">
                                    <form id="tab4">
                                        @Html.Action("_DemoHistory")
                                    </form>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <footer>
                <hr>
                <p class="pull-right">
                    <a href="#" target="_blank">
                        @Html.ActionLink("Back to List", "Index")\
                    </a><a href="#" target="_blank"></a>
                </p>
            </footer>
        </div>
    </div>
                                                                            }
